> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get project

GET https://example.itential.io/automation-studio/projects/{projectId}

Returns the Project.

Reference: https://docs.itential.com/itential-platform/6/api-reference/automation-studio/get-project

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `projectId` (string, required) — Project identifier

## Response

### 200

API response body

- `message` (string, optional)
- `data` (object, optional, nullable) — Project data as it is sent back from get and search endpoints
  - `_id` (string, optional) — A string representation of a MongoDB ObjectId
  - `iid` (integer, optional) — Incrementing integer ID
  - `name` (string, optional) — Project name
  - `description` (string, optional) — A free-form block of text for describing project intent and function
  - `members` (list of object, optional)
    - `type` (enum, required)
      - Allowed values: `account`, `group`
    - `reference` (string, required) — A string representation of a MongoDB ObjectId
    - `role` (enum, required)
      - Allowed values: `owner`, `editor`, `operator`, `viewer`
    - `missing` (boolean, optional)
    - `username` (string, optional)
    - `name` (string, optional)
    - `provenance` (string, optional)
  - `accessControl` (object, optional)
    - `read` (list of string, required)
    - `execute` (list of string, required)
    - `write` (list of string, required)
    - `manage` (list of string, required)
  - `componentIidIndex` (integer, optional) — Read-only property providing incrementing integer ID values for child components within a project
  - `components` (list of object, optional) — A list of member components in the project
    - `iid` (integer, optional) — Incrementing integer ID
    - `type` (enum, optional) — String denoting the type of component
      - Allowed values: `workflow`, `jsonForm`, `mopAnalyticTemplate`, `mopCommandTemplate`, `template`, `transformation`
    - `reference` (string, optional)
    - `folder` (string, optional)
  - `folders` (list of object or object, optional) — A list of folders and their members
    - object
      - `nodeType` (enum, required) — String denoting the nodeType of the folder node
        - Allowed values: `folder`, `component`
      - `name` (string, required) — Folder name
      - `children` (list of any or object, required)
        - object
          - `iid` (integer, required) — Incrementing integer ID
          - `nodeType` (enum, required) — String denoting the nodeType of the folder node
            - Allowed values: `folder`, `component`
          - `type` (enum, optional) — String denoting the type of component
            - Allowed values: `workflow`, `jsonForm`, `mopAnalyticTemplate`, `mopCommandTemplate`, `template`, `transformation`
          - `reference` (string, optional)
    - object
      - `iid` (integer, required) — Incrementing integer ID
      - `nodeType` (enum, required) — String denoting the nodeType of the folder node
        - Allowed values: `folder`, `component`
      - `type` (enum, optional) — String denoting the type of component
        - Allowed values: `workflow`, `jsonForm`, `mopAnalyticTemplate`, `mopCommandTemplate`, `template`, `transformation`
      - `reference` (string, optional)
  - `created` (string, optional) — ISO Date String
  - `createdBy` (any, optional)
  - `lastUpdated` (string, optional) — ISO Date String
  - `lastUpdatedBy` (any, optional)
  - `versionHistory` (list of object, optional)
    - `versionNumber` (integer, required)
    - `commitMessage` (string, required)
    - `author` (string, required)
    - `branchName` (string, required)
  - `gitConfiguration` (object, optional)
    - `connectionType` (enum, required)
      - Allowed values: `GitHub`, `GitLab`
    - `repositoryPath` (string, required)
    - `branchName` (string, required)
    - `projectPath` (string, required)
- `metadata` (object, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "message": "Successfully retrieved project",
  "data": null,
  "metadata": {}
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/automation-studio/projects/projectId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/automation-studio/projects/projectId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/automation-studio/projects/projectId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/automation-studio/projects/projectId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/automation-studio/projects/projectId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/automation-studio/projects/projectId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/automation-studio/projects/projectId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/projects/projectId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```